Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026792
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-06-04 23:432014-08-21 04:33
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6f90c7d6a7d2
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomaite
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026792: Wrong Payment created from GL Journal when journal's currency is different from General Ledger's currency

DescriptionWrong Payment created from GL Journal when journal's currency is different from General Ledger's currency
Steps To Reproduce0. Create Financial Account in EUR for "F&B US, Inc" organization. Access Payment Method tab and add "Cash" payment method
1. Create new GL Journal for "F&B US East Coast" organization and "EUR" currency
2. Add new Header for "F&B International Group US/A/US Dollar" General Ledger and "EUR" currency
3. Add new line for any account and Debit=10
4. Add new line for any other account, Credit=10, Open Item=Y, new financial account, cash payment method, any gl-item and today's date
5. Complete journal. Navigate to "Payment Out" window and realize that payment has been created in EUR but with converted amount
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067809)
maite (developer)
2014-06-06 14:54

modulescript required in order to correct erroneous data
(0069460)
hgbot (developer)
2014-08-18 14:57

Repository: erp/devel/pi
Changeset: 6f90c7d6a7d2d6f633b54abc6626cdd79297cb39
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Aug 06 15:41:34 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6f90c7d6a7d2d6f633b54abc6626cdd79297cb39 [^]

Fixes Issue 26792:Wrong Payment created from GL Journal when journal's currency
is different from General Ledger's currency

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPaymentFromJournalLine.java
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
A modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/WrongPaymentsFromJournalLine.class
A modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/WrongPaymentsFromJournalLineData.class
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/WrongPaymentsFromJournalLine.java
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/WrongPaymentsFromJournalLine_data.xsql
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/WrongPaymentsFromJournalLineData.java
---
(0069478)
hudsonbot (developer)
2014-08-18 22:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d5c640d68844 [^]
Maturity status: Test
(0069510)
maite (developer)
2014-08-19 14:38

verified
(0069553)
hgbot (developer)
2014-08-20 21:17

Repository: erp/devel/pi
Changeset: 28dd9972d73ae7fa3f372404be44eddee297a21f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Aug 21 00:46:01 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/28dd9972d73ae7fa3f372404be44eddee297a21f [^]

Related To Issue 26792:Fix License header to obpl.

---
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/WrongPaymentsFromJournalLine_data.xsql
---
(0069555)
hudsonbot (developer)
2014-08-21 04:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/93f2bf00338b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-04 23:43 maite New Issue
2014-06-04 23:43 maite Assigned To => dmiguelez
2014-06-04 23:43 maite Modules => Core
2014-06-04 23:43 maite Triggers an Emergency Pack => No
2014-06-04 23:43 maite Assigned To dmiguelez => jonalegriaesarte
2014-06-04 23:43 maite Issue Monitored: networkb
2014-06-06 14:54 maite Note Added: 0067809
2014-06-16 12:48 jonalegriaesarte Target Version PR14Q3 => PR14Q4
2014-07-21 16:42 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-07-28 10:11 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-07-28 10:11 AtulOpenbravo Status new => scheduled
2014-07-28 10:11 AtulOpenbravo fix_in_branch => pi
2014-08-18 14:55 AtulOpenbravo Review Assigned To => maite
2014-08-18 14:55 AtulOpenbravo fix_in_branch pi =>
2014-08-18 14:57 hgbot Checkin
2014-08-18 14:57 hgbot Note Added: 0069460
2014-08-18 14:57 hgbot Status scheduled => resolved
2014-08-18 14:57 hgbot Resolution open => fixed
2014-08-18 14:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6f90c7d6a7d2d6f633b54abc6626cdd79297cb39 [^]
2014-08-18 22:51 hudsonbot Checkin
2014-08-18 22:51 hudsonbot Note Added: 0069478
2014-08-19 14:38 maite Note Added: 0069510
2014-08-19 14:38 maite Status resolved => closed
2014-08-20 21:17 hgbot Checkin
2014-08-20 21:17 hgbot Note Added: 0069553
2014-08-21 04:33 hudsonbot Checkin
2014-08-21 04:33 hudsonbot Note Added: 0069555


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker